## lttoolbox 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT (apertium-3.1)

INCLUDE(CheckSymbolExists)

INCLUDE_DIRECTORIES (.)

SET (BUILD_SHARED_LIB OFF CACHE BOOL
     "Build a shared library containing the lttoolbox routines")

IF (BUILD_SHARED_LIB)
   SET (LTTOOLBOX_SHARED SHARED)
ENDIF (BUILD_SHARED_LIB)

IF (WIN32)
	SET (WIN32_DIR "${PROJECT_SOURCE_DIR}/lttoolbox/win32")
	INCLUDE_DIRECTORIES (${WIN32_DIR})
	SET (EXTRA_SOURCES "${WIN32_DIR}/getopt.c" "${WIN32_DIR}/libgen.c")

	SET (LIBXML2_BASE        "C:/Program Files/LibXML")
	SET (LIBXML2_INCLUDE_DIR "${LIBXML2_BASE}/include")
	SET (LIBXML2_LIBRARIES   "${LIBXML2_BASE}/lib/libxml2.lib")

	SET (ICONV_BASE        "C:/Program Files/iconv")
	SET (ICONV_INCLUDE_DIR "${ICONV_BASE}/include")
	SET (ICONV_LIBRARIES   "${ICONV_BASE}/lib/iconv.lib")

	ADD_DEFINITIONS (-D_CRT_SECURE_NO_WARNINGS)
ENDIF (WIN32)

SET (PACKAGE_BUGREPORT sortiz@users.sourceforge.net)
SET (PACKAGE_NAME      lttoolbox/lttoolbox.h)
SET (PACKAGE_STRING    lttoolbox/lttoolbox.h 3.1.0)
SET (PACKAGE_TARNAME   lttoolbox-lttoolbox-h)
SET (PACKAGE_VERSION   3.1.0)

MACRO (BOOL_CHECK_SYMBOL_EXISTS SYMBOL HEADER VAR)
	CHECK_SYMBOL_EXISTS (${SYMBOL} ${HEADER} ${VAR})
	IF (${VAR})
		SET (${VAR} "1")
	ELSE (${VAR})
		SET (${VAR} "0")
	ENDIF (${VAR})
ENDMACRO (BOOL_CHECK_SYMBOL_EXISTS)

BOOL_CHECK_SYMBOL_EXISTS (fputs_unlocked  stdio.h HAVE_DECL_FPUTS_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fgetc_unlocked  stdio.h HAVE_DECL_FGETC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fputc_unlocked  stdio.h HAVE_DECL_FPUTC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fwrite_unlocked stdio.h HAVE_DECL_FWRITE_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fread_unlocked  stdio.h HAVE_DECL_FREAD_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fgetwc_unlocked stdio.h HAVE_DECL_FGETWC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fputwc_unlocked stdio.h HAVE_DECL_FPUTWC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fputws_unlocked stdio.h HAVE_DECL_FPUTWS_UNLOCKED)

CONFIGURE_FILE (${PROJECT_SOURCE_DIR}/lttoolbox/lttoolbox_config.h.cmake_in ${PROJECT_SOURCE_DIR}/lttoolbox/lttoolbox_config.h)

# Recurse into the "Hello" and "Demo" subdirectories.  This does not actually
# cause another cmake executable to run.  The same process will walk through
# the project's entire directory structure.
ADD_SUBDIRECTORY (lttoolbox)

=== lttoolbox/CMakeLists.txt ===
FIND_PACKAGE (LibXml2 REQUIRED)

INCLUDE_DIRECTORIES (${LIBXML2_INCLUDE_DIR})
ADD_DEFINITIONS (${LIBXML2_DEFINITIONS})
INCLUDE_DIRECTORIES (${ICONV_INCLUDE_DIR})

ADD_LIBRARY (lttoolbox3 ${LTTOOLBOX_SHARED} alphabet.cc compiler.cc compression.cc entry_token.cc
             expander.cc fst_processor.cc lt_locale.cc match_exe.cc
             match_node.cc match_state.cc node.cc pattern_list.cc
             regexp_compiler.cc sorted_vector.cc state.cc transducer.cc
             trans_exe.cc xml_parse_util.cc ${EXTRA_SOURCES})

TARGET_LINK_LIBRARIES (lttoolbox3 ${LIBXML2_LIBRARIES} ${ICONV_LIBRARIES})

ADD_EXECUTABLE (lt-proc lt_proc.cc)
TARGET_LINK_LIBRARIES (lt-proc lttoolbox3)

ADD_EXECUTABLE (lt-comp lt_comp.cc)
TARGET_LINK_LIBRARIES (lt-comp lttoolbox3)

ADD_EXECUTABLE (lt-expand lt_expand.cc)
TARGET_LINK_LIBRARIES (lt-expand lttoolbox3)

INSTALL (TARGETS lt-proc lt-comp lt-expand lttoolbox3
	 RUNTIME DESTINATION bin
	 LIBRARY DESTINATION lib
	 ARCHIVE DESTINATION lib)

FILE(GLOB HEADERS *.h)

INSTALL (FILES ${HEADERS}
         DESTINATION include/lttoolbox-3.1/lttoolbox)

INSTALL (FILES dix.dtd
         DESTINATION share/lttoolbox-3.1)

## lttoolbox 3.0.2%2b1-1

=== debian/changelog ===
lttoolbox (3.0.2+1-1) unstable; urgency=low

  * Pre-emptive fix for FTBFS with gcc-4.3

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 31 Mar 2008 11:23:19 +0100

lttoolbox (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Standards version upped to 3.7.3

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 31 Mar 2008 08:23:19 +0100

lttoolbox (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Thu, 06 Dec 2007 17:27:58 +0000

lttoolbox (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 02 Oct 2007 15:45:21 +0100

lttoolbox (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Fri,  6 Apr 2007 12:23:52 +0100

lttoolbox (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Wed, 21 Mar 2007 09:50:11 +0000

lttoolbox (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu,  9 Nov 2006 12:35:34 +0000

lttoolbox (1.0.1-1) unstable; urgency=low

  * Initial release Closes: #320931

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu, 25 May 2006 11:40:31 +0100

=== debian/control ===
Source: lttoolbox
Priority: optional
Maintainer: Francis Tyers <ftyers@prompsit.com>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libxml2-dev, pkg-config (>= 0.20 ), zlib1g-dev (>= 1.2.3 ), libxml2-utils, libpcre3-dev (>= 6.7-1osso1)
Standards-Version: 3.7.3
Section: misc
Homepage: http://www.apertium.org

Package: lttoolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: 
Description: Apertium lexical processing modules and tools
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by the Apertium system. Apertium is a machine
 translation system for closely related languages. The software is also
 useful for making morphological analysers and generators for natural 
 language processing applications.
 .

Package: liblttoolbox3-3.0-0-dev
Section: libdevel
Architecture: any
Depends: liblttoolbox3-3.0-0 (= ${binary:Version}), libxml2-dev, libpcre3
Provides: liblttoolbox3-dev
Conflicts: liblttoolbox3-dev
Description: Development library for lttoolbox
 Contains development files for the lttoolbox. The lttoolbox contains 
 the augmented letter transducer tools for natural language processing 
 used by the Apertium system. Apertium is a machine translation system
 for closely related languages.
 .

Package: liblttoolbox3-3.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: liblttoolbox3
Conflicts: liblttoolbox3
Description: Shared library for the lttoolbox
 Contains shared library for the lttoolbox. The lttoolbox contains
 the augmented letter transducer tools for natural language processing 
 used by the Apertium system. Apertium is a machine translation system
 for closely related languages.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=\$${prefix}/share


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
#	mkdir -p debian/tmp/usr/share/lttoolbox-2.0
#	mv debian/tmp/usr/lttoolbox-2.0/* debian/tmp/usr/share/lttoolbox-2.0

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples 
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L liblttoolbox3-3.0-0 -l debian/tmp/usr/lib
	dh_strip
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## lttoolbox 3.3.0.56152

=== debian/changelog ===
lttoolbox (3.3.0.56152-3) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    + Updated Standards-Version to 3.9.6
  * Added patch description.

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Jun 2015 13:22:02 +0530

lttoolbox (3.3.0.56152-2) experimental; urgency=low

  * Added PCRE workaround helper patch (See: #757539)

 -- Tino Didriksen <mail@tinodidriksen.com>  Tue, 28 Oct 2014 09:30:00 +0100

lttoolbox (3.3.0.56152-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release
  * Standards-Version updated to version 3.9.5
  * Using upstream release from svn, to avoid pre-generated automake files
    (Closes: #733185)
  * Re-done packaging to take advantage of debhelper 9
  * Added multiarch support
  * 3.3 includes all of 3.2 (Closes: #758518)

  [ Kartik Mistry ]
  * wrap-and-sort control, install files.
  * Added myself as Uploaders.

 -- Kartik Mistry <kartik@debian.org>  Mon, 22 Sep 2014 19:14:55 +0530

lttoolbox (3.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unneeded .la files (Closes: #633265).
  * Update dh compat 4 -> 8.
  * Replace dh_clean -k with dh_prep.

 -- Aron Xu <aron@debian.org>  Thu, 02 Feb 2012 00:59:39 +0800

lttoolbox (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 03 Feb 2009 19:25:34 +0000

lttoolbox (3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Fri, 01 Aug 2008 16:36:16 +0100

lttoolbox (3.0.2-2) unstable; urgency=low

  * Pre-emptive fix for FTBFS with gcc-4.3

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 31 Mar 2008 11:23:19 +0100

=== debian/control ===
Source: lttoolbox
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: automake,
               autotools-dev,
               debhelper (>= 9.0),
               devscripts,
               dh-autoreconf,
               dh-exec (>= 0.3),
               flex,
               gawk,
               libpcre3-dev,
               libtool,
               libxml2-dev,
               libxml2-utils,
               pkg-config (>= 0.20 ),
               python-minimal,
               python-testtools,
               xsltproc,
               zlib1g-dev (>= 1.2.3 )
Standards-Version: 3.9.6
Homepage: http://apertium.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/lttoolbox.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git

Package: lttoolbox
Architecture: any
Depends: liblttoolbox3-3.3-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Apertium lexical processing modules and tools
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.

Package: liblttoolbox3-3.3-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblttoolbox3
Conflicts: liblttoolbox3
Description: Shared library for lttoolbox
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.
 .
 This package provides shared library for lttoolbox.

Package: liblttoolbox3-3.3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: liblttoolbox3-3.3-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: liblttoolbox3-dev
Conflicts: liblttoolbox3-dev
Description: Development library for lttoolbox
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.
 .
 This package provides development files for lttoolbox.

## lttoolbox 3.3.1

=== debian/changelog ===
lttoolbox (3.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Jun 2015 16:11:58 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_test:
	# Disabled until fixed at upstream.

## lttoolbox 3.3.2~r61000

=== debian/changelog ===
lttoolbox (3.3.2~r61000-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791195).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:46:35 +0200

lttoolbox (3.3.2~r61000-3) unstable; urgency=low

  * Removed troublesome symbols file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 24 Jul 2015 14:17:21 -0500

lttoolbox (3.3.2~r61000-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Disable static libraries.

  [ Kartik Mistry ]
  * debian/liblttoolbox3-3.3-0.symbols:
    + Added symbols file.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jul 2015 19:28:04 +0530

lttoolbox (3.3.2~r61000-1) unstable; urgency=low

  * New upstream snapshop release.

 -- Tino Didriksen <mail@tinodidriksen.com>  Mon, 22 Jun 2015 10:40:01 +0200

lttoolbox (3.3.1~r59199-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream snapshop release.
  * debian/control:
    + Renamed liblttoolbox3-3.3-dev package to lttoolbox-dev

 -- Kartik Mistry <kartik@debian.org>  Mon, 22 Jun 2015 11:52:30 +0530

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libtool,
                libxml2-dev,
                libxml2-utils,
-               pkg-config (>= 0.20 ),
+               pkg-config (>= 0.20),
                python-minimal,
                python-testtools,
                xsltproc,
-               zlib1g-dev (>= 1.2.3 )
+               zlib1g-dev (>= 1.2.3)
 Standards-Version: 3.9.6
 Homepage: http://apertium.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/lttoolbox.git
@@ -28,7 +28,7 @@
 
 Package: lttoolbox
 Architecture: any
-Depends: liblttoolbox3-3.3-0 (= ${binary:Version}),
+Depends: liblttoolbox3-3.3-0v5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Apertium lexical processing modules and tools
@@ -38,13 +38,14 @@
  for making morphological analysers and generators for natural language
  processing applications.
 
-Package: liblttoolbox3-3.3-0
+Package: liblttoolbox3-3.3-0v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: liblttoolbox3
-Conflicts: liblttoolbox3
+Provides: liblttoolbox
+Conflicts: liblttoolbox3-3.3-0, liblttoolbox, liblttoolbox3
+Replaces: liblttoolbox3-3.3-0, liblttoolbox, liblttoolbox3
 Description: Shared library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based
@@ -54,17 +55,12 @@
  .
  This package provides shared library for lttoolbox.
 
-Package: liblttoolbox3-3.3-dev
+Package: lttoolbox-dev
 Architecture: any
-Multi-Arch: same
-Section: libdevel
-Pre-Depends: ${misc:Pre-Depends}
-Depends: liblttoolbox3-3.3-0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Provides: liblttoolbox3-dev
+Depends: lttoolbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: liblttoolbox3-dev
-Description: Development library for lttoolbox
+Replaces: liblttoolbox3-dev
+Description: Development tools and library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based
  and hybrid machine translation systems. The software is also useful

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,8 @@
 %:
 	dh $@ --parallel --with autoreconf
 
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-static
+
 override_dh_auto_test:
 	# Disabled until fixed at upstream.

## lttoolbox 3.3.2~r63423

=== lttoolbox/CMakeLists.txt ===
FIND_PACKAGE (LibXml2 REQUIRED)

INCLUDE_DIRECTORIES (${LIBXML2_INCLUDE_DIR})
ADD_DEFINITIONS (${LIBXML2_DEFINITIONS})
INCLUDE_DIRECTORIES (${ICONV_INCLUDE_DIR})

ADD_LIBRARY (lttoolbox3 STATIC alphabet.cc att_compiler.cc compiler.cc compression.cc entry_token.cc
             expander.cc fst_processor.cc lt_locale.cc match_exe.cc
             match_node.cc match_state.cc node.cc pattern_list.cc
             regexp_compiler.cc sorted_vector.cc state.cc transducer.cc
             trans_exe.cc xml_parse_util.cc tmx_compiler.cc ${EXTRA_SOURCES})

TARGET_LINK_LIBRARIES (lttoolbox3 ${LIBXML2_LIBRARIES} ${ICONV_LIBRARIES})

ADD_EXECUTABLE (lt-proc lt_proc.cc)
TARGET_LINK_LIBRARIES (lt-proc lttoolbox3)

ADD_EXECUTABLE (lt-comp lt_comp.cc)
TARGET_LINK_LIBRARIES (lt-comp lttoolbox3)

ADD_EXECUTABLE (lt-expand lt_expand.cc)
TARGET_LINK_LIBRARIES (lt-expand lttoolbox3)

ADD_EXECUTABLE (lt-tmxcomp lt_tmxcomp.cc)
TARGET_LINK_LIBRARIES (lt-tmxcomp lttoolbox3)

ADD_EXECUTABLE (lt-tmxproc lt_tmxproc.cc)
TARGET_LINK_LIBRARIES (lt-tmxproc lttoolbox3)

INSTALL (TARGETS lt-proc lt-comp lt-expand lt-tmxcomp lt-tmxproc lttoolbox3
	 RUNTIME DESTINATION bin
	 LIBRARY DESTINATION lib
	 ARCHIVE DESTINATION lib)

FILE(GLOB HEADERS *.h)

INSTALL (FILES ${HEADERS}
         DESTINATION include/lttoolbox-3.3/lttoolbox)

INSTALL (FILES dix.dtd
         DESTINATION share/lttoolbox-3.3)

=== debian/changelog ===
lttoolbox (3.3.2~r63423-3) unstable; urgency=low

  * Revert, reverted g++5 ABI transition.

 -- Kartik Mistry <kartik@debian.org>  Mon, 08 Feb 2016 09:22:19 +0530

lttoolbox (3.3.2~r63423-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Split overrides.
  * Override hardening-no-fortify-functions and no-symbols-control-file.
  * Remove pre-dh9-style hardening

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 17:12:24 +0530

lttoolbox (3.3.2~r63423-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream snapshop release.

  [ Kartik Mistry ]
  * debian/control:
    + Fixed Vcs-* URLs.
    + Removed dummy library package used for g++5 ABI transition.
  * debian/patches:
    + Added patch to fix hyphen used as minus.

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 10:26:06 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
+Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: automake,
                autotools-dev,
@@ -23,8 +23,8 @@
                zlib1g-dev (>= 1.2.3)
 Standards-Version: 3.9.6
 Homepage: http://apertium.org/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/lttoolbox.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
+Vcs-Git: https://anonscm.debian.org/debian-science/packages/lttoolbox.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
 
 Package: lttoolbox
 Architecture: any
@@ -44,8 +44,10 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblttoolbox
-Conflicts: liblttoolbox3-3.3-0, liblttoolbox, liblttoolbox3
-Replaces: liblttoolbox3-3.3-0, liblttoolbox, liblttoolbox3
+Conflicts: liblttoolbox, liblttoolbox3
+Replaces: liblttoolbox,
+          liblttoolbox3,
+          liblttoolbox3-3.3-0
 Description: Shared library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

=== debian/watch ===
version=3
opts=filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/apertium/lttoolbox \
.*=lttoolbox(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## lttoolbox 3.3.3~r68466

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,6 @@
 INCLUDE(CheckSymbolExists)
 
 INCLUDE_DIRECTORIES (.)
-
-SET (BUILD_SHARED_LIB OFF CACHE BOOL
-     "Build a shared library containing the lttoolbox routines")
-
-IF (BUILD_SHARED_LIB)
-   SET (LTTOOLBOX_SHARED SHARED)
-ENDIF (BUILD_SHARED_LIB)
 
 IF (WIN32)
 	SET (WIN32_DIR "${PROJECT_SOURCE_DIR}/lttoolbox/win32")
@@ -31,9 +24,9 @@
 
 SET (PACKAGE_BUGREPORT sortiz@users.sourceforge.net)
 SET (PACKAGE_NAME      lttoolbox/lttoolbox.h)
-SET (PACKAGE_STRING    lttoolbox/lttoolbox.h 3.1.0)
+SET (PACKAGE_STRING    lttoolbox/lttoolbox.h 3.1.2)
 SET (PACKAGE_TARNAME   lttoolbox-lttoolbox-h)
-SET (PACKAGE_VERSION   3.1.0)
+SET (PACKAGE_VERSION   3.1.2)
 
 MACRO (BOOL_CHECK_SYMBOL_EXISTS SYMBOL HEADER VAR)
 	CHECK_SYMBOL_EXISTS (${SYMBOL} ${HEADER} ${VAR})
@@ -53,6 +46,15 @@
 BOOL_CHECK_SYMBOL_EXISTS (fputwc_unlocked stdio.h HAVE_DECL_FPUTWC_UNLOCKED)
 BOOL_CHECK_SYMBOL_EXISTS (fputws_unlocked stdio.h HAVE_DECL_FPUTWS_UNLOCKED)
 
+BOOL_CHECK_SYMBOL_EXISTS (_fputs_nolock  stdio.h HAVE_DECL_FPUTS_NOLOCK)
+BOOL_CHECK_SYMBOL_EXISTS (_fgetc_nolock  stdio.h HAVE_DECL_FGETC_NOLOCK)
+BOOL_CHECK_SYMBOL_EXISTS (_fputc_nolock  stdio.h HAVE_DECL_FPUTC_NOLOCK)
+BOOL_CHECK_SYMBOL_EXISTS (_fwrite_nolock stdio.h HAVE_DECL_FWRITE_NOLOCK)
+BOOL_CHECK_SYMBOL_EXISTS (_fread_nolock  stdio.h HAVE_DECL_FREAD_NOLOCK)
+BOOL_CHECK_SYMBOL_EXISTS (_fgetwc_nolock stdio.h HAVE_DECL_FGETWC_NOLOCK)
+BOOL_CHECK_SYMBOL_EXISTS (_fputwc_nolock stdio.h HAVE_DECL_FPUTWC_NOLOCK)
+BOOL_CHECK_SYMBOL_EXISTS (_fputws_nolock stdio.h HAVE_DECL_FPUTWS_NOLOCK)
+
 CONFIGURE_FILE (${PROJECT_SOURCE_DIR}/lttoolbox/lttoolbox_config.h.cmake_in ${PROJECT_SOURCE_DIR}/lttoolbox/lttoolbox_config.h)
 
 # Recurse into the "Hello" and "Demo" subdirectories.  This does not actually

=== debian/changelog ===
lttoolbox (3.3.3~r68466-2) unstable; urgency=low

  * Upload to unstable

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jun 2016 16:34:53 +0530

lttoolbox (3.3.3~r68466-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release.
  * debian/control:
    + Fix Vcs-Git URL
    + Updated Standards-Version to 3.9.8
  * debian/rules:
    + Disable static libraries.
  * Use debian/<package>.triggers to replace ldconfig call by dpkg triggers.

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jun 2016 11:06:36 +0530

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
                python-testtools,
                xsltproc,
                zlib1g-dev (>= 1.2.3)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://apertium.org/
-Vcs-Git: https://anonscm.debian.org/debian-science/packages/lttoolbox.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
 
 Package: lttoolbox
@@ -45,9 +45,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblttoolbox
 Conflicts: liblttoolbox, liblttoolbox3
-Replaces: liblttoolbox,
-          liblttoolbox3,
-          liblttoolbox3-3.3-0
+Replaces: liblttoolbox, liblttoolbox3, liblttoolbox3-3.3-0
 Description: Shared library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@ --fail-missing --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

## lttoolbox 3.4.0~r84331

=== debian/changelog ===
lttoolbox (3.4.0~r84331-2) unstable; urgency=low

  * debian/control:
    + Dropped transitional package: liblttoolbox3-3.3-0v5 (Closes: #893075)

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Mar 2018 16:03:22 +0530

lttoolbox (3.4.0~r84331-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * debian/control:
    + Version bump, so undo the g++-5 renaming.
    + Updated Standards-Version to 4.1.3.
  * Updated debian/watch file.
  * Updated lintian overrides.
  * URLs: http->https.

 -- Kartik Mistry <kartik@debian.org>  Tue, 13 Mar 2018 11:00:04 +0530

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
                python-testtools,
                xsltproc,
                zlib1g-dev (>= 1.2.3)
-Standards-Version: 3.9.8
-Homepage: http://apertium.org/
+Standards-Version: 4.1.3
+Homepage: https://apertium.org/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
 
 Package: lttoolbox
 Architecture: any
-Depends: liblttoolbox3-3.3-0v5 (= ${binary:Version}),
+Depends: liblttoolbox3-3.4-1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Apertium lexical processing modules and tools
@@ -38,14 +38,16 @@
  for making morphological analysers and generators for natural language
  processing applications.
 
-Package: liblttoolbox3-3.3-0v5
+Package: liblttoolbox3-3.4-1
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblttoolbox
 Conflicts: liblttoolbox, liblttoolbox3
-Replaces: liblttoolbox, liblttoolbox3, liblttoolbox3-3.3-0
+Replaces: liblttoolbox, liblttoolbox3, liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
+Breaks: liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
 Description: Shared library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --fail-missing --parallel --with autoreconf

=== debian/watch ===
version=3
http://sf.net/apertium/lttoolbox-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lttoolbox 3.4.2

=== debian/changelog ===
lttoolbox (3.4.2-2) unstable; urgency=medium

  * debian/control:
    + Regression fix: Drop dummy transitional package. (Closes: #893075)

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Jun 2018 11:48:08 +0530

lttoolbox (3.4.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.
  * debian/control:
    + Updated Standards-Version to 4.1.4
    + Updated Vcs-* URLs.
  [ Kartik Mistry ]
  * Updated debian/watch file.
  * Added Hardening support.

 -- Kartik Mistry <kartik@debian.org>  Sat, 16 Jun 2018 12:03:56 +0530

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
                python-testtools,
                xsltproc,
                zlib1g-dev (>= 1.2.3)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://apertium.org/
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lttoolbox.git
+Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
+Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
 
 Package: lttoolbox
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE=1
 export DH_OPTIONS
 export LC_ALL=C.UTF-8
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --fail-missing --parallel --with autoreconf

## lttoolbox 3.5.0

=== debian/changelog ===
lttoolbox (3.5.0-3) unstable; urgency=medium

  * debian/patches:
    + Added a patch fix FTBFS on several architectures (Closes: #911226)

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 Nov 2018 08:53:13 +0530

lttoolbox (3.5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Fri, 12 Oct 2018 20:36:26 +0530

lttoolbox (3.5.0-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.2.1
  * Updated to dh 11.

 -- Kartik Mistry <kartik@debian.org>  Wed, 10 Oct 2018 11:42:23 +0530

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: automake,
-               autotools-dev,
-               debhelper (>= 9.0),
+               debhelper (>= 11),
                devscripts,
-               dh-autoreconf,
                dh-exec (>= 0.3),
                flex,
                gawk,
@@ -21,14 +19,14 @@
                python-testtools,
                xsltproc,
                zlib1g-dev (>= 1.2.3)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
 
 Package: lttoolbox
 Architecture: any
-Depends: liblttoolbox3-3.4-1 (= ${binary:Version}),
+Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Apertium lexical processing modules and tools
@@ -38,7 +36,7 @@
  for making morphological analysers and generators for natural language
  processing applications.
 
-Package: liblttoolbox3-3.4-1
+Package: liblttoolbox3-3.5-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -46,7 +44,9 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblttoolbox
 Conflicts: liblttoolbox, liblttoolbox3
-Replaces: liblttoolbox, liblttoolbox3, liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
+Replaces: liblttoolbox,
+          liblttoolbox3,
+          liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
 Breaks: liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
 Description: Shared library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lttoolbox-$1.tar.gz%" \
     https://github.com/apertium/lttoolbox/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lttoolbox 3.5.1

=== debian/changelog ===
lttoolbox (3.5.1-2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:28 +0100

lttoolbox (3.5.1-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:35:11 +0000

lttoolbox (3.5.1-2) unstable; urgency=low

  * Source only upload.
  * debian/control:
    + Updated Standards-Version to 4.4.1

 -- Kartik Mistry <kartik@debian.org>  Wed, 30 Oct 2019 10:32:53 +0530

lttoolbox (3.5.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
    + Added Python module
  * Now only supports Python 3 (Closes: #936970)
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.0
  * Removed debian/patches

  [ Kartik Mistry ]
  * Added debian/gitlab-ci.yml

 -- Kartik Mistry <kartik@debian.org>  Wed, 25 Sep 2019 17:47:25 +0530

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,21 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: automake,
-               debhelper (>= 11),
-               devscripts,
-               dh-exec (>= 0.3),
+Build-Depends: debhelper (>= 12),
+               dh-exec,
+               dh-python,
                flex,
                gawk,
                libpcre3-dev,
-               libtool,
                libxml2-dev,
                libxml2-utils,
-               pkg-config (>= 0.20),
-               python-minimal,
-               python-testtools,
+               pkg-config,
+               python3-dev,
+               python3-setuptools,
+               swig,
                xsltproc,
-               zlib1g-dev (>= 1.2.3)
-Standards-Version: 4.2.1
+               zlib1g-dev
+Standards-Version: 4.4.0
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
@@ -70,3 +69,16 @@
  processing applications.
  .
  This package provides development files for lttoolbox.
+
+Package: python3-lttoolbox
+Architecture: any
+Section: python
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
+Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Apertium lexical processing modules and tools (Python 3 module)
+ Python 3 module for applications using the Apertium lexical processing
+ modules and tools.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lttoolbox-$1.tar.gz%" \
    https://github.com/apertium/lttoolbox/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lttoolbox 3.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
project(lttoolbox
	VERSION 3.5.2
	LANGUAGES CXX C
	)
set(VERSION ${PROJECT_VERSION})
set(VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(VERSION_API "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
set(SOVERSION 1.0.0)
set(PACKAGE_BUGREPORT "apertium-stuff@lists.sourceforge.net")

add_definitions("-DPACKAGE_VERSION=\"${PROJECT_VERSION}\"")

set(MASTER_PROJECT OFF)
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
	set(MASTER_PROJECT ON)
endif ()

# Release or Debug
if(MASTER_PROJECT AND NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release")
endif()

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_MACOSX_RPATH ON)

include(GNUInstallDirs)

option(BUILD_SHARED_LIBS "Set to OFF to use static library" ON)
option(BUILD_TESTING "Set to OFF to disable tests" ON)
option(ENABLE_PYTHON_BINDINGS "Set to ON to build the Python wrapper" OFF)

if(MSVC)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /utf-8 /std:c++latest /Zc:__cplusplus /permissive- /W4 /MP")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2")
	set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
	set(CMAKE_C_FLAGS ${CMAKE_CXX_FLAGS})
	set(CMAKE_C_FLAGS_RELEASE ${CMAKE_CXX_FLAGS_RELEASE})
else()
	set(_FLAGS_COMMON "-Wall -Wextra -Wno-missing-field-initializers -Wno-deprecated -Wno-unused-parameter -fPIC")

	include(CheckCCompilerFlag)
	include(CheckCXXCompilerFlag)

	foreach(flag "-Wno-unused-result" "-flto")
		string(REGEX REPLACE "[^A-Za-z0-9]" "-" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(_FLAGS_COMMON "${_FLAGS_COMMON} ${flag}")
		endif()
	endforeach()
	if(COMPILER_SUPPORTS_flto)
		set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -flto")
	endif()

	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_FLAGS_COMMON} -fvisibility-inlines-hidden")

	# Enable latest possible C standard
	foreach(flag "-std=c2x" "-std=c11" "-std=c1x" "-std=c99")
		string(REGEX REPLACE "[^a-z0-9]" "-" _flag ${flag})
		CHECK_C_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
			break()
		endif()
	endforeach()

	# Require latest possible C++ standard
	foreach(flag "-std=c++20" "-std=c++2a" "-std=c++17" "-std=c++1z" "-std=c++14" "-std=c++1y")
		string(REGEX REPLACE "[^a-z0-9]" "-" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}")
			set(_ENABLED_CXX ${flag})
			break()
		endif()
	endforeach()
	if(NOT _ENABLED_CXX)
		message(FATAL_ERROR "Could not enable at least C++14 (C++1y) - upgrade your compiler")
	endif()

	# Generate pkg-config file
	set(prefix      ${CMAKE_INSTALL_PREFIX})
	set(exec_prefix "\${prefix}")
	set(libdir      "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
	set(includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
	configure_file(lttoolbox.pc.in lttoolbox.pc @ONLY)
	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lttoolbox.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
endif()

try_compile(SIZET_NOT_CSTDINT ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/lttoolbox/check-cstdint.cc)
if(SIZET_NOT_CSTDINT)
	add_definitions(-DSIZET_NOT_CSTDINT)
endif()

find_package(LibXml2 REQUIRED)
include_directories(${LIBXML2_INCLUDE_DIR})

if(WIN32)
	add_definitions(-D_SECURE_SCL=0 -D_ITERATOR_DEBUG_LEVEL=0 -D_CRT_SECURE_NO_DEPRECATE -DWIN32_LEAN_AND_MEAN -DVC_EXTRALEAN -DNOMINMAX)
	add_definitions(-DSTDC_HEADERS -DREGEX_MALLOC)
	include_directories("lttoolbox/win32")
	include_directories("utf8")
else()
	add_definitions(-D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
endif()

# Unlocked I/O functions
include(CheckSymbolExists)
set(CMAKE_REQUIRED_DEFINITIONS -D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
foreach(func fread_unlocked fwrite_unlocked fgetc_unlocked fputc_unlocked fputs_unlocked fgetwc_unlocked fputwc_unlocked fputws_unlocked)
	string(TOUPPER ${func} _uc)
	CHECK_SYMBOL_EXISTS(${func} "stdio.h" HAVE_DECL_${_uc})
	if(HAVE_DECL_${_uc})
		add_definitions(-DHAVE_DECL_${_uc})
	endif()
endforeach()
unset(CMAKE_REQUIRED_DEFINITIONS)

# getopt
find_path(GETOPT_INCLUDE getopt.h)
include_directories(${GETOPT_INCLUDE})
if(VCPKG_TOOLCHAIN)
	find_library(GETOPT_LIB NAMES getopt)
	add_definitions(-DHAVE_GETOPT_LONG)
else()
	set(GETOPT_LIB)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

if(BUILD_TESTING)
	enable_testing()
	find_package(PythonInterp 3.5 REQUIRED)
	set(ENV{CTEST_OUTPUT_ON_FAILURE} 1)
	set(CMAKE_CTEST_ARGUMENTS "-VV")
endif()

add_subdirectory(lttoolbox)

if(ENABLE_PYTHON_BINDINGS)
	add_subdirectory(python)
endif()

=== lttoolbox/CMakeLists.txt ===
set(LIBLTTOOLBOX_HEADERS
	alphabet.h
	att_compiler.h
	buffer.h
	compiler.h
	compression.h
	deserialiser.h
	entry_token.h
	exception.h
	expander.h
	fst_processor.h
	lt_locale.h
	ltstr.h
	match_exe.h
	match_node.h
	match_state.h
	my_stdio.h
	node.h
	pattern_list.h
	regexp_compiler.h
	serialiser.h
	sorted_vector.h
	state.h
	string_to_wostream.h
	tmx_compiler.h
	trans_exe.h
	transducer.h
	xml_parse_util.h
	)
set(LIBLTTOOLBOX_SOURCES
	alphabet.cc
	att_compiler.cc
	compiler.cc
	compression.cc
	entry_token.cc
	expander.cc
	fst_processor.cc
	lt_locale.cc
	match_exe.cc
	match_node.cc
	match_state.cc
	node.cc
	pattern_list.cc
	regexp_compiler.cc
	sorted_vector.cc
	state.cc
	tmx_compiler.cc
	trans_exe.cc
	transducer.cc
	xml_parse_util.cc
	${LIBLTTOOLBOX_HEADERS}
	)
if(WIN32)
	set(LIBLTTOOLBOX_SOURCES
		win32/libgen.c
		win32/libgen.h
		win32/regex.c
		win32/regex.h
		win32/unistd.h
		${CMAKE_SOURCE_DIR}/utf8/utf8_fwrap.h
		${LIBLTTOOLBOX_SOURCES}
		)
	if(NOT VCPKG_TOOLCHAIN)
		set(LIBLTTOOLBOX_SOURCES
			win32/getopt.c
			win32/getopt.h
			${LIBLTTOOLBOX_SOURCES}
			)
	endif()
else()
	set(GETOPT)
endif()

set(LibLttoolbox "lttoolbox${PROJECT_VERSION_MAJOR}-${VERSION_API}")
add_library(${LibLttoolbox} ${LIBLTTOOLBOX_SOURCES})
target_compile_definitions(${LibLttoolbox} PRIVATE LTTOOLBOX_EXPORTS)
set_target_properties(${LibLttoolbox} PROPERTIES SOVERSION ${SOVERSION} VERSION ${VERSION})
target_link_libraries(${LibLttoolbox} ${LIBXML2_LIBRARIES})

add_executable(lt-print lt_print.cc)
target_link_libraries(lt-print ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-trim lt_trim.cc)
target_link_libraries(lt-trim ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-comp lt_comp.cc)
target_link_libraries(lt-comp ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-proc lt_proc.cc)
target_link_libraries(lt-proc ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-expand lt_expand.cc)
target_link_libraries(lt-expand ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-tmxcomp lt_tmxcomp.cc)
target_link_libraries(lt-tmxcomp ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-tmxproc lt_tmxproc.cc)
target_link_libraries(lt-tmxproc ${LibLttoolbox} ${GETOPT_LIB})

if(BUILD_TESTING)
	add_test(NAME tests COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_SOURCE_DIR}/tests/run_tests.py" $<TARGET_FILE_DIR:lt-comp>)
	set_tests_properties(tests PROPERTIES FAIL_REGULAR_EXPRESSION "FAILED")
endif()

install(TARGETS ${LibLttoolbox}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${LIBLTTOOLBOX_HEADERS}
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lttoolbox-${VERSION_API}/lttoolbox)
install(TARGETS lt-print lt-trim lt-comp lt-proc lt-expand lt-tmxcomp lt-tmxproc
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES dix.dtd dix.rng dix.rnc acx.rng xsd/dix.xsd xsd/acx.xsd
	DESTINATION ${CMAKE_INSTALL_DATADIR}/lttoolbox)

install(FILES lt-comp.1 lt-expand.1 lt-proc.1 lt-tmxcomp.1 lt-tmxproc.1 lt-print.1 lt-trim.1
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== python/CMakeLists.txt ===
find_package(SWIG 3.0 REQUIRED)
find_package(PythonInterp 3.5 REQUIRED)

get_directory_property(_defs DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} COMPILE_DEFINITIONS)
string(REPLACE ";" " -D" defs "-D${_defs}")

set(PYTHON_FILE "lttoolbox.py")
set(CPP_WRAP_FILE "lttoolbox_wrap.cpp")
set(top_srcdir ${CMAKE_SOURCE_DIR})
set(CXXFLAGS "${CMAKE_CXX_FLAGS} ${defs}")
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_NAME ${PROJECT_NAME})
set(PACKAGE_VERSION ${PROJECT_VERSION})

configure_file(lttoolbox.i.in lttoolbox.i @ONLY)
configure_file(setup.py.in setup.py @ONLY)

add_custom_command(OUTPUT ${CPP_WRAP_FILE} ${PYTHON_FILE}
	COMMAND ${PYTHON_EXECUTABLE} setup.py build
	COMMENT "Building ${PYTHON_FILE}"
)

add_custom_target(wrapper ALL
	DEPENDS ${CPP_WRAP_FILE} ${PYTHON_FILE}
	VERBATIM
)

if(NOT PYTHON_INSTALL_PARAMS)
	set(PYTHON_INSTALL_PARAMS "--prefix=${CMAKE_INSTALL_PREFIX} --root=\$ENV{DESTDIR}/")
endif()

set(INSTALL_WRAPPER "${PYTHON_EXECUTABLE} setup.py install ${PYTHON_INSTALL_PARAMS}")
install(CODE "execute_process(COMMAND ${INSTALL_WRAPPER} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})")

=== debian/changelog ===
lttoolbox (3.5.3-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
  * debian/control:
    + Updated Standards-Version to 4.5.1

  [ Kartik Mistry ]
  * Removed unused lintian override.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Dec 2020 13:41:27 +0530

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,23 @@
 Source: lttoolbox
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
-               flex,
-               gawk,
-               libpcre3-dev,
                libxml2-dev,
                libxml2-utils,
                pkg-config,
                python3-dev,
                python3-setuptools,
-               swig,
-               xsltproc,
-               zlib1g-dev
-Standards-Version: 4.4.0
+               swig
+Standards-Version: 4.5.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
+Rules-Requires-Root: no
 
 Package: lttoolbox
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lttoolbox-$1.tar.bz2%" \
    https://github.com/apertium/lttoolbox/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.bz2 debian uupdate
